import javax.swing.JOptionPane;

 public class interfaceTesti_2000
 {

 public static void main(String args[])
 {
 noktaY n;
 daireY d;
 silindirY s;
 sekilY a[];
 n = new noktaY(7,11);
 d = new daireY(3.5,22,8);
 s = new silindirY(10,3.3,10,10);
 a = new sekilY[3];
 a[0]=n;
 a[1]=d;
 a[2]=s;
 String st="";
 st+=n.isim()+": "+n.toString()+"\n";
 st+=d.isim()+": "+d.toString()+"\n";
 st+=s.isim()+": "+s.toString()+"\n";
 //indirek cağırma
 int y=85;
 for(int i=0;i<a.length;i++)
    {
    st+=a[i].isim()+": "+a[i].toString()+"\n";
    st+="Alan : "+a[i].alan()+" Hacim : "+a[i].hacim()+"\n";
    }
 JOptionPane.showMessageDialog(null,st,"interface test programı",
 JOptionPane.PLAIN_MESSAGE);
 System.exit(0);
 }
 }
